Fully featured low overhead profiler for Java EE and Java SE platforms.
Ultimate profiling and monitoring solution for Gradle, Maven, Ant, JUnit and TestNG.
Easy to use performance and memory profiler for .NET framework.

Can't run profiler from IDEA 2016.2.2

Moderators: Vladimir Kondratyev, Anton Katilin

Can't run profiler from IDEA 2016.2.2

Postby egwor » Tue Nov 08, 2016 8:21 pm

I want to profile a junit test (using mockito) from IntelliJ 2016.2.2. When I go into the settings for the unit test and set the profiling options (I select any/all of them) the test then runs but does not profile. In the IDE logs that there is an error

java.lang.IllegalArgumentException: Parameter 1 must not be null
at com.yourkit.idea80Plugin.MySettingsEditor.applyEditorTo(e)

I'm running under yourkit 2016.02-b43
egwor
 
Posts: 1
Joined: Tue Nov 08, 2016 8:11 pm

Re: Can't run profiler from IDEA 2016.2.2

Postby Anton Katilin » Tue Nov 08, 2016 9:47 pm

The log file entry containing "com.yourkit.idea80Plugin" suggests that IDEA 8 plugin is running instead of IDEA 13+ plugin which should be used with IDEA 2016.

Do you use a non standard plugin directory? If so, re-run the IDE integration wizard and choose appropriate plugin in the combo box.
Anton Katilin
 
Posts: 5575
Joined: Wed Aug 11, 2004 8:37 am


Return to Java Profiler

Who is online

Users browsing this forum: Google [Bot] and 10 guests